﻿@model SportsClub.Models.CampaignViewModelStep1
@{
    Layout = null;
}

<!DOCTYPE html>

<form name="CampaignStep1" novalidate ng-submit="">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Recipients
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <nav class="step-navigator campaign breadcrumbs">
        <ul>
            @*  CLASSES = done , active , last *@
            <li class="active"><a>Recipients</a></li>
            <li class=""><a>Template</a></li>
            <li class="last"><a>Delivery</a></li>
            <!-- DO NOT DELETE THIS -->
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
            <!-- / DO NOT DELETE THIS -->
        </ul>
    </nav>

    <label class="req-star">Campign name</label>
    <div class="input-control text" data-role="input-control">
        <input ng-model="@Html.Ang(m=>m.CampaignName)" type="text">
        <button type="button" class="btn-clear" type="button"></button>
    </div>
    <span class="message">Enter a name to help you remember what this campaign is all about. Only you will see the campaign name. Your contacts will not see.</span>

    <fieldset>
        <legend class="req-star">Registered for</legend>
        <span class="message">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
        <label>Seasons</label>
        <div class="input-control select">
            <select kendo-multi-select
                    k-options="[]"
                    k-auto-bind="false"
                    k-ng-model=""></select>
            <span class="select-message">Select all seasons</span>
        </div>
        <label>Programs</label>
        <div class="input-control select">
            <select kendo-multi-select
                    k-options="[]"
                    k-auto-bind="false"
                    k-ng-model=""></select>
            <span class="select-message">Select all programs</span>
        </div>
    </fieldset>

    <fieldset>
        <legend class="req-star">Not registered for</legend>
        <span class="message">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
        <label>Seasons</label>
        <div class="input-control select">
            <select kendo-multi-select
                    k-options="[]"
                    k-auto-bind="false"
                    k-ng-model=""></select>
            <span class="select-message">Select all seasons</span>
        </div>
        <label>Programs</label>
        <div class="input-control select">
            <select kendo-multi-select
                    k-options="[]"
                    k-auto-bind="false"
                    k-ng-model=""></select>
            <span class="select-message">Select all programs</span>
        </div>
    </fieldset>

    <fieldset>
        <legend class="req-star">Registration date</legend>
        <span class="message">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
        <div class="place-left one-half padding-right20">
            <div class="input-control select" data-role="input-control">
                <select ng-model="date" ng-init="date='ALL'">
                    <option value="ALL">All</option>
                    <option>Last 30 days</option>
                    <option>Last 3 months</option>
                    <option>This year</option>
                    <option>Last year</option>
                    <option value="CUSTOM">Custom</option>
                </select>
            </div>
        </div>
        <div class="place-left one-half" ng-show="date == 'CUSTOM'">
            <div class="place-left one-half padding-right20">
                <div class="input-control text" data-role="input-control">
                    <input placeholder="From" type="text" />
                </div>
            </div>
            <div class="place-left one-half">
                <div class="input-control text" data-role="input-control">
                    <input placeholder="to" type="text" />
                </div>
            </div>
        </div>
    </fieldset>

    <fieldset>
        <legend>Participant criteria</legend>
        <span class="message">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
        Age: <input type="text" style="width: 40px;" /> to <input type="text" style="width: 40px;" />
        <label class="req-star">Gender</label>
        <div class="place-left one-third">
            <div class="input-control radio" data-role="input-control">
                <label>
                    <input ng-init="gender = 'all'" ng-model="gender" name="gender" type="radio">
                    <span class="check"></span>
                    All
                </label>
            </div>
        </div>
        <div class="place-left one-third">
            <div class="input-control radio" data-role="input-control">
                <label>
                    <input ng-model="gender" name="gender" value="male" type="radio">
                    <span class="check"></span>
                    Male
                </label>
            </div>
        </div>
        <div class="place-left one-third">
            <div class="input-control radio" data-role="input-control">
                <label>
                    <input ng-model="gender" name="gender" value="female" type="radio">
                    <span class="check"></span>
                    Female
                </label>
            </div>
        </div>
    </fieldset>

    <fieldset>
        <legend class="req-star">Participant finance</legend>
        <span class="message">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input type="checkbox">
                <span class="check"></span>
                Participants with a balance
            </label>
        </div>
    </fieldset>

    <fieldset>
        <legend class="req-star">List name</legend>
        <span class="message">Enter a name to save the list for future use.</span>
        <label>Name</label>
        <div class="input-control text" data-role="input-control">
            <input type="text" />
        </div>
    </fieldset>
    <hr />

    <button type="button" class="primary place-right" ng-click="step='content'">Next step</button>
    <div class="clearfix"></div>
</form>